curl --request PUT \
--url https://api.example.com/api/v1/instance/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseStatus": "PENDING",
"status": "ACTIVE"
}
'{
"license": {
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
},
"organisationId": 123,
"projectId": 123,
"licenseStatus": "PENDING",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceMeta": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceId": 123,
"startedAt": "2022-03-10T16:15:50Z",
"expiredAt": "2022-03-10T16:15:50Z"
}
]
}curl --request PUT \
--url https://api.example.com/api/v1/instance/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"licenseStatus": "PENDING",
"status": "ACTIVE"
}
'{
"license": {
"name": "<string>",
"version": "<string>",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"icon": "<string>",
"scoreGroups": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"name": "<string>",
"title": "<string>",
"description": "<string>"
}
],
"params": "{ \"\"minScore\": 0, \"maxScore\": 1 }",
"groupScript": "<string>",
"scoreScript": "<string>"
},
"organisationId": 123,
"projectId": 123,
"licenseStatus": "PENDING",
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceMeta": [
{
"id": 1,
"createdAt": 123,
"updatedAt": 123,
"status": "ACTIVE",
"licenseInstanceId": 123,
"startedAt": "2022-03-10T16:15:50Z",
"expiredAt": "2022-03-10T16:15:50Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
Use this file to discover all available pages before exploring further.
Authentication
OK
License object
Show child attributes
Organisation id
Project id
Organisation Tenant License status
PENDING, LICENCED, CANCELED Unique identifier of the entity
1
Time when entity was created
Time when entity was updated
Status of the entity. Default: 'ACTIVE'
ACTIVE, DISABLED, DELETED Metadata of license instance
Show child attributes